// Copyright 2006 Michael Van Canneyt und C&L Verlag
unit frmdialog;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs, Buttons,
  StdCtrls, ExtCtrls;

type

  { TDialogForm }

  TDialogForm = class(TForm)
    BClose: TButton;
    RGOnClose: TRadioGroup;
    procedure BCloseClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var CloseAction: TCloseAction);
    procedure FormCloseQuery(Sender: TObject; var CanClose: boolean);
    procedure FormDestroy(Sender: TObject);
    procedure FormHide(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  DialogForm: TDialogForm;

implementation

{ TDialogForm }

procedure TDialogForm.FormDestroy(Sender: TObject);
begin
  ShowMessage('Destroying Dialog Instance');
end;

procedure TDialogForm.FormClose(Sender: TObject; var CloseAction: TCloseAction);
begin
  ShowMessage('OnClose');
  Case RGOnClose.ItemIndex of
    0 : CloseAction:=caNone;
    1 : CloseAction:=caHide;
    2 : CloseAction:=caFree;
    3 : CloseAction:=caMinimize;
  end;
end;

procedure TDialogForm.FormCloseQuery(Sender: TObject; var CanClose: boolean);
begin
  ShowMessage('OnCloseQuery for dialog');
  CanClose:=True;
end;

procedure TDialogForm.BCloseClick(Sender: TObject);
begin
  Close;
end;

procedure TDialogForm.FormHide(Sender: TObject);
begin
  ShowMessage('Hiding Dialog Instance');
end;

initialization
  {$I frmdialog.lrs}

end.

