// Copyright 2006 Michael Van Canneyt und C&L Verlag
unit frmmain;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs, Buttons,
  StdCtrls, ExtCtrls;

type

  { TMainForm }

  TMainForm = class(TForm)
    BDefault: TButton;
    BPrivate: TButton;
    BTestModal: TButton;
    BTestPosition: TButton;
    BClose: TButton;
    CBShowModal: TCheckBox;
    RGPosition: TRadioGroup;
    procedure BCloseClick(Sender: TObject);
    procedure BDefaultClick(Sender: TObject);
    procedure BPrivateClick(Sender: TObject);
    procedure BTestModalClick(Sender: TObject);
    procedure BTestPositionClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  MainForm: TMainForm;

implementation

uses frmdialog,frmmodal;

{ TMainForm }

procedure TMainForm.BDefaultClick(Sender: TObject);
begin
  If CBShowModal.Checked then
    DialogForm.ShowModal
  else
    DialogForm.Show;
end;

procedure TMainForm.BCloseClick(Sender: TObject);
begin
  Close;
end;

procedure TMainForm.BPrivateClick(Sender: TObject);
begin
  With TDialogForm.Create(Application) do
    If CBShowModal.Checked then
      ShowModal
    else
      Show;
end;

procedure TMainForm.BTestModalClick(Sender: TObject);

Var
  S : String;

begin
  With TModalForm.Create(Application) do
    If CBShowModal.Checked then
      begin
      case ShowModal of
        mrNone     : S:='mrNone';
        mrOK       : S:='mrOK';
        mrCancel   : S:='mrCancel';
        mrAbort    : S:='mrAbort';
        mrRetry    : S:='mrRetry';
        mrIgnore   : S:='mrIgnore';
        mrYes      : S:='mrYes';
        mrNo       : s:='mrNo';
        mrAll      : S:='mrAll';
        mrNoToAll  : S:='mrNoToAll';
        mrYesToAll : S:='mrYesToAll';
      end;
      ShowMessage('Modalresult = '+S);
      end
    else
      Show;
end;

procedure TMainForm.BTestPositionClick(Sender: TObject);

begin
  With TDialogForm.Create(Self) do
    begin
    Case RGPosition.ItemIndex of
      0 : Position:=poDesigned;
      1 : Position:=poDefault;
      2 : Position:=poDefaultPosOnly;
      3 : Position:=poDefaultSizeOnly;
      4 : Position:=poScreenCenter;
      5 : Position:=poDesktopCenter;
      6 : Position:=poMainFormCenter;
      7 : Position:=poOwnerFormCenter;
    end;
    ShowModal;
    end;
end;

procedure TMainForm.FormShow(Sender: TObject);
begin
  BDefault.Enabled:=Assigned(DialogForm);
end;

initialization
  {$I frmmain.lrs}

end.

